check for 'require' instead of 'use'
authorJoey Hess <joey@gnu.kitenet.net>
Sun, 21 Mar 2010 18:52:21 +0000 (14:52 -0400)
committerJoey Hess <joey@gnu.kitenet.net>
Sun, 21 Mar 2010 18:52:21 +0000 (14:52 -0400)
IkiWiki/Setup.pm

index 2cf01ea684e634da1b8bb4e0254256ca3507e59c..06102058b1e77a64249ed88a4eaa3d9782069043 100644 (file)
@@ -28,7 +28,7 @@ sub load ($;$) {
        }
        close IN;
 
        }
        close IN;
 
-       if ($content=~/(use\s+)?IkiWiki::Setup::(\w+)/) {
+       if ($content=~/((?:use|require)\s+)?IkiWiki::Setup::(\w+)/) {
                $config{setuptype}=$2;
                if ($1) {
                        error sprintf(gettext("cannot load %s in safe mode"), $file)
                $config{setuptype}=$2;
                if ($1) {
                        error sprintf(gettext("cannot load %s in safe mode"), $file)